#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lattices
version:              2.1
visibility:           public
id:                   lattices-2.1-4FQWmHYQprHE88w4i0EDlC
key:                  lattices-2.1-4FQWmHYQprHE88w4i0EDlC
license:              BSD-3-Clause
copyright:
    (C) 2010-2015 Maximilian Bolingbroke, 2016-2019 Oleg Grenrus

maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:
    Maximilian Bolingbroke <batterseapower@hotmail.com>, Oleg Grenrus <oleg.grenrus@iki.fi>

homepage:             http://github.com/phadej/lattices/
synopsis:
    Fine-grained library for constructing and manipulating lattices

description:
    In mathematics, a lattice is a partially ordered set in which every two
    elements @x@ and @y@ have a unique supremum (also called a least upper bound, join, or @x /\\ y@)
    and a unique infimum (also called a greatest lower bound, meet, or @x \\/ y@).

    This package provide type-classes for different lattice types, as well
    as a class for the partial order.

category:             Math
abi:                  84fe4248dd9b6e47cd4a415be2893bce
exposed:              True
exposed-modules:
    Algebra.Heyting Algebra.Heyting.Free Algebra.Heyting.Free.Expr
    Algebra.Lattice Algebra.Lattice.Divisibility
    Algebra.Lattice.Dropped Algebra.Lattice.Free
    Algebra.Lattice.Free.Final Algebra.Lattice.Levitated
    Algebra.Lattice.Lexicographic Algebra.Lattice.Lifted
    Algebra.Lattice.M2 Algebra.Lattice.M3 Algebra.Lattice.N5
    Algebra.Lattice.Op Algebra.Lattice.Ordered Algebra.Lattice.Unicode
    Algebra.Lattice.Wide Algebra.Lattice.ZeroHalfOne Algebra.PartialOrd
    Algebra.PartialOrd.Instances

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lattices-2.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lattices-2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lattices
hs-libraries:         HSlattices-2.1-4FQWmHYQprHE88w4i0EDlC
depends:
    QuickCheck-2.14.3-5Ru4Ok7ulGwKtpS9FNJk0k base-4.15.1.0
    base-compat-0.12.2-l1EqrM7Qwu6Pq9d4drKFu containers-0.6.4.1
    deepseq-1.4.5.0 ghc-prim-0.7.0
    hashable-1.4.2.0-8EyZ5q0qf6V2oPuIX4Sz4t
    integer-logarithms-1.0.3.1-5kS6jNbEsIJGKjr4VAkZqE
    semigroupoids-5.3.7-GrMbjI0UGFz1ppElomscYZ
    tagged-0.8.8-7t9egrTqJuwIG4IxuqlUrH transformers-0.5.6.2
    universe-base-1.1.3.1-AkiB6SPSNV7DEMnnx8rHVO
    universe-reverse-instances-1.1.1-JyH05lG5AF1Lk3142qOyVW
    unordered-containers-0.2.19.1-4LWMSZiig8M6j2saT8CDNm

haddock-interfaces:   /usr/share/doc/haskell-lattices/html/lattices.haddock
haddock-html:         /usr/share/doc/haskell-lattices/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

